﻿using System.Linq;
using System.Windows;
using System.Windows.Controls;

namespace ChartingIntroduction
{
    public partial class Page : UserControl
    {
        private CodeElementCollection _codeElementCollection;

        public Page()
        {
            InitializeComponent();

            _codeElementCollection = LayoutRoot.Resources["CodeElementCollection"] as CodeElementCollection;
        }

        private void AddXamlStatistics_Click(object sender, RoutedEventArgs e)
        {
            _codeElementCollection.Add(new CodeElement { Name = "XAML", Lines = 100 });
        }

        private void ChangeCommentStatistics_Click(object sender, RoutedEventArgs e)
        {
            CodeElement commentCodeElement = _codeElementCollection.Where(element => element.Name == "Comments").First();
            commentCodeElement.Lines += 50;
        }
    }
}
